Bug 1061013 - macros.up2date should be in /usr/lib/rpm/macros.d for Fedora
Summary: macros.up2date should be in /usr/lib/rpm/macros.d for Fedora
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space27
TreeView+ depends on / blocked
 
Reported: 2014-02-04 08:26 UTC by Miroslav Suchý
Modified: 2017-09-28 18:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-07 08:51:59 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2014-02-04 08:26:15 UTC
Description of problem:
See
https://lists.fedoraproject.org/pipermail/devel/2014-January/195026.html
Package rhn-client-tools have file /etc/rpm/macros.up2date it should be in /usr/lib/rpm/macros.d.
Another question is if this file is needed at all.

Comment 1 Milan Zázrivec 2014-02-07 14:23:23 UTC
spacewalk.git master: 9d95714d16fd9cc3c25926ebd53cc85ac8cc52a8

Comment 2 Miroslav Suchý 2014-02-10 09:32:45 UTC
Hmm,
that file is still present and referenced in code:
$ git grep macros.up2date
client/debian/packages-already-in-debian/rhn-client-tools/etc-conf/Makefile:MACROS_CONFIG   = macros.up2date
client/debian/packages-already-in-debian/rhn-client-tools/etc-conf/Makefile:    [ -f $(MACROS_DIR)/macros.up2date ] && true || \
client/debian/packages-already-in-debian/rhn-client-tools/etc-conf/Makefile:            $(INSTALL_DATA) $(MACROS_CONFIG) $(MACROS_DIR)/macros.up2d
client/debian/packages-already-in-debian/rhn-client-tools/rhn-client-tools.spec:%config(noreplace) %{_sysconfdir}/rpm/macros.up2date
client/debian/packages-already-in-debian/rhn-client-tools/src/actions/up2date_config.py:    if os.access("/etc/rpm/macros.up2date", os.R_OK):
client/debian/packages-already-in-debian/rhn-client-tools/src/actions/up2date_config.py:        f = open("/etc/rpm/macros.up2date", "r")
client/debian/packages-already-in-debian/rhn-client-tools/src/actions/up2date_config.py:    f = open("/etc/rpm/macros.up2date", "w")
client/rhel/rhn-client-tools/etc-conf/Makefile:MACROS_CONFIG   = macros.up2date
client/rhel/rhn-client-tools/etc-conf/Makefile: [ -f $(MACROS_DIR)/macros.up2date ] && true || \
client/rhel/rhn-client-tools/etc-conf/Makefile:         $(INSTALL_DATA) $(MACROS_CONFIG) $(MACROS_DIR)/macros.up2date
client/rhel/rhn-client-tools/src/actions/up2date_config.py:    if os.access("/etc/rpm/macros.up2date", os.R_OK):
client/rhel/rhn-client-tools/src/actions/up2date_config.py:        f = open("/etc/rpm/macros.up2date", "r")
client/rhel/rhn-client-tools/src/actions/up2date_config.py:    f = open("/etc/rpm/macros.up2date", "w")

It will need more work than commit in #1

Comment 3 Milan Zázrivec 2014-02-10 09:39:02 UTC
OK, I'll look into this.

Comment 4 Milan Zázrivec 2014-02-14 15:31:43 UTC
spacewalk.git master:
2c2b59ebbac688791015bfbf0d1b265365d6a8f5
46225ac557ead3dfac019958020861fe740aea66

Comment 5 Eric Herget 2017-09-28 18:08:42 UTC
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.


Note You need to log in before you can comment on or make changes to this bug.